View Issue Details

IDProjectCategoryView StatusLast Update
0001170SymmetricDSBugpublic2014-02-02 20:53
ReporterabrougherAssigned Tochenson 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version3.3.6 
Target Version3.3.7Fixed in Version3.3.7 
Summary0001170: postgres - Inserts fail on reverse reload events when a table contains duplicate rows.
DescriptionI have a table w/ out a PK. DDL below.

When the data loader is acting an a reverse initial load I was getting the following error.

[server-000] - DataLoaderService - Failed to load batch orgid2-365 because: ERROR: more than one row returned by a subquery used as an expression.


-- Insert that was failing.
insert into "system_classifications"("class_name") (select ? where (select 1 from "system_classifications" where "class_name" = ?) is null);


-- The following returns two rows since there is a duplicate in my table. This causes the insert to fail and freeze the reload.
select 1 from "system_classifications" where "class_name" = ?





-- Table: system_classifications

-- DROP TABLE system_classifications;

CREATE TABLE system_classifications
(
  class_name text NOT NULL DEFAULT ''::text
)
WITH (
  OIDS=FALSE
);
ALTER TABLE system_classifications
  OWNER TO postgres;
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master dd4706b2

2013-04-11 08:14:49

chenson

Details Diff
0001170: postgres - Inserts fail on reverse reload events when a table contains duplicate rows.
0001170
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlDmlStatement.java Diff File

SymmetricDS: master dfab28a3

2013-04-11 09:42:41

chenson

Details Diff
0001170: postgres - Inserts fail on reverse reload events when a table contains duplicate rows.
0001170
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/DbExportImportTest.java Diff File

Issue History

Date Modified Username Field Change
2013-04-10 10:11 abrougher New Issue
2013-04-10 10:11 abrougher Status new => assigned
2013-04-10 10:11 abrougher Assigned To => chenson
2013-04-11 08:14 chenson Summary Inserts fail on reverse reload events when a table contains duplicate rows. => postgres - Inserts fail on reverse reload events when a table contains duplicate rows.
2013-04-11 08:14 chenson Status assigned => resolved
2013-04-11 08:14 chenson Fixed in Version => 3.4.0
2013-04-11 08:14 chenson Resolution open => fixed
2013-04-11 09:58 chenson Fixed in Version 3.4.0 => 3.3.7
2013-04-26 13:03 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7061
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7062
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master dfab28a3
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master dd4706b2